pylint #57311 Remove mentions of optik [resolved]

Optik is no longer needed since pylint doesn't support < 2.4. But there are still mentions of it in the README/manual etc.

prioritynormal
typebug
done in0.23.0
load left0.000
closed by<not specified>